//	CrystalFlightApp.swift
//
//	© 2023 by Jeff Weeks
//	See TermsOfUse.txt

import SwiftUI
import CoreMotion


let gMakeIcon: Bool = false


@main
struct CrystalFlightApp: App {

	//	Apple recommends using a single app-wide CMMotionManager
	//	for best performance.
	//
	let itsMotionManager: CMMotionManager?
	
	init() {

		//	Note:  All iOS devices support device motion, but
		//	macOS devices do not.  On devices that don't support
		//	device motion, we may set itsMotionManager = nil,
		//	because there's no need for the app to even ask
		//	about the device attitude.

		let theMotionManager = CMMotionManager()

		if theMotionManager.isDeviceMotionAvailable {
		
			theMotionManager.startDeviceMotionUpdates()

			itsMotionManager = theMotionManager
		}
		else {
			itsMotionManager = nil
		}
		
	}
	
	var body: some Scene {
		WindowGroup {
			CrystalFlightContentView(motionManager: itsMotionManager)
		}
	}
}
